using System;
using _Workbench.Layers.Modules;
using Quadarax.Foundation.Infrastructure;

namespace _Workbench.Layers
{
    public static class TestLayers
    {
        public static void Test()
        {
            Infra.Initialize<DefaultGlobalLayer>("TestApp");

            Console.WriteLine("Layer names:");
            Console.WriteLine(string.Join(",", Infra.GetLayerNames()));
            Console.WriteLine("Dump:");
            Console.WriteLine(Infra.Dump());
            Console.WriteLine("Container dump:");
            Console.WriteLine(Infra.DumpContainers());         
            var x = Infra.Get<IModGlobal>();
            var y = Infra.Get<IModData>();
            Console.WriteLine($"Context: {x.GetModuleName()}");
        }
    }
}
